%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")}

%define name         sensor-run
%define version      1.0.0
%define release      5

%define builddir     @RPM_BUILD_DIR@/build-%{name}-%{version}

%define default_user root

Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Vendor:         EMI
License:        Apache License
URL:            http://grid-it.cnaf.infn.it
Source:         sensor-run-%{version}.tar.gz
Group:          System Environment/Shells
AutoReqProv:    yes
BuildArch:      noarch
BuildRoot:      %{_builddir}/var/tmp/%{name}-%{version}
Summary:        Provides the run files

%define _sysconfdir    /etc

BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: python
BuildRequires: sensor-host
BuildRequires: sensor-service
BuildRequires: sensor-common

%define debug_package %{nil}

Requires: python
Requires: sensor-host
Requires: sensor-service
Requires: sensor-common

%description
This contains sensor-run package.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash bootstrap
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --bindir=/usr/bin --exec_prefix=/usr 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/%{_bindir}/storm_sensor.py $RPM_BUILD_ROOT/%{_bindir}/storm_sensor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/storm_sensor

%dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Oct 1 2012 Elisabetta Ronchieri <elisabetta.ronchieri@cnaf.infn.it> - %{version}
- added packaging
